Bug 111230 - core dumped while using Rstudio
Summary: core dumped while using Rstudio
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-27 11:20 UTC by bdurette.pro
Modified: 2019-08-01 16:23 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
kernel log file (74.33 KB, text/plain)
2019-07-27 11:20 UTC, bdurette.pro
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bdurette.pro 2019-07-27 11:20:24 UTC
Created attachment 144881 [details]
kernel log file

I used Rstudio for professional use. When using the xorg nouveau driver on Ubuntu 18, Rstudio "crashes" after a while producing a core dumped error (see console output below). The bus has allready been filed in the Rstudio webpage :  https://github.com/rstudio/rstudio/issues/3781. Kernel-log file is attached

nouveau: kernel rejected pushbuf: Aucun fichier ou dossier de ce type
nouveau: ch4: krec 0 pushes 0 bufs 2 relocs 0
nouveau: ch4: buf 00000000 00000003 00000004 00000004 00000000
nouveau: ch4: buf 00000001 00000006 00000004 00000000 00000004
nouveau: kernel rejected pushbuf: Aucun fichier ou dossier de ce type
nouveau: ch4: krec 0 pushes 0 bufs 2 relocs 0
nouveau: ch4: buf 00000000 00000005 00000004 00000004 00000000
nouveau: ch4: buf 00000001 00000006 00000004 00000000 00000004
nouveau: ch4: buf 00000002 00000022 00000004 00000004 00000000
nouveau: kernel rejected pushbuf: Aucun fichier ou dossier de ce type
nouveau: ch4: krec 0 pushes 0 bufs 2 relocs 0
nouveau: ch4: buf 00000000 00000003 00000004 00000004 00000000
nouveau: ch4: buf 00000001 00000006 00000004 00000000 00000004
Received signal 11 SEGV_MAPERR 7fd01f32c000
Erreur de segmentation (core dumped)
Comment 1 Andre Klapper 2019-07-27 12:23:46 UTC
Please include exact version information for the xorg nouveau driver that you use, and *exact* distribution version information.
Comment 2 bdurette.pro 2019-07-31 18:19:53 UTC
(In reply to Andre Klapper from comment #1)
> Please include exact version information for the xorg nouveau driver that
> you use, and *exact* distribution version information.

Here is for the distribution information. How could I get the exact driver version ?

Distributor ID:	Ubuntu
Description:	Ubuntu 18.04.2 LTS
Release:	18.04
Codename:	bionic
Comment 3 Andre Klapper 2019-07-31 20:07:28 UTC
I guess it is something like "dpkg -l | grep nvidia-graphics-driver"
Comment 4 bdurette.pro 2019-08-01 16:18:32 UTC
NVIDIA binary driver - version 340.107

Is that what you were looking for ?
Comment 5 bdurette.pro 2019-08-01 16:23:27 UTC
 xserver-xorg-video-nouveau                                  1:1.0.15-2                                  amd64        X.Org X server -- Nouveau display driver

Better, isn't it ?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.